Bug 1325788 - rpmspectool get --sources SPEC fails with: argument --sources/--source/-s: invalid int value
Summary: rpmspectool get --sources SPEC fails with: argument --sources/--source/-s: in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmspectool
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-11 08:14 UTC by Petr Pisar
Modified: 2017-08-27 06:21 UTC (History)
1 user (show)

Fixed In Version: rpmspectool-1.99.6-1.fc26 rpmspectool-1.99.6-1.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-26 19:52:14 UTC


Attachments (Terms of Use)

Description Petr Pisar 2016-04-11 08:14:34 UTC
rpmspectool-1.99.5-1.fc23.noarch cannot handle --sources option without arguments:

$ rpmspectool get --sources libisds.spec 
usage: rpmspectool get [-h] [--verbose] [--define DEFINE]
                       [--sources [SOURCES [SOURCES ...]]]
                       [--patches [PATCHES [PATCHES ...]]]
                       [--insecure INSECURE] [--force] [--dry-run]
                       [--directory DIRECTORY | --sourcedir]
                       specfile
rpmspectool get: error: argument --sources/--source/-s: invalid int value: 'libisds.spec'

I would expect --sources option without an argument would download all sources defined int the spec file. Yet despite the usage text, it raises an error.

Actually "rpmspectool get --sources 0 libisds.spec" also fails the same way. Probably I don't understand the usage text. Unfortunately, there is no manual page.

Comment 1 Nils Philippsen 2016-05-13 15:31:17 UTC
Thanks for the report and sorry for the delay.

Hmm., the parsing of the command line arguments is probably a bit too ambiguous, if you use "--sources", then it tries to eat up the name of the specfile too. I need to find out if the parser can actually do the right thing (i.e. only eat integer arguments for "--sources"), or if I need to change it.

Comment 2 Fedora End Of Life 2016-11-25 07:19:21 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Petr Pisar 2016-11-25 09:55:00 UTC
Still issue in F24 (rpmspectool-1.99.5-1.fc24.noarch).

Comment 4 Fedora End Of Life 2017-07-25 20:31:29 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Petr Pisar 2017-07-26 12:18:40 UTC
Still issue in F27 (rpmspectool-1.99.5-4.fc26.noarch).

Comment 6 Nils Philippsen 2017-07-30 16:58:39 UTC
Sorry for the long wait.

I've changed it so that --sources/--patches (without argument) select all sources and/or patches and --source/--patch with lists of integers or ranges select individual ones. This change is in version 1.99.6 which I'll build shortly.

Comment 7 Fedora Update System 2017-07-30 17:16:51 UTC
rpmspectool-1.99.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-416857d54b

Comment 8 Nils Philippsen 2017-07-30 17:20:46 UTC
The update for Fedora 25 is at https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb542b27e8

Comment 9 Fedora Update System 2017-07-31 02:22:19 UTC
rpmspectool-1.99.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb542b27e8

Comment 10 Fedora Update System 2017-07-31 04:24:06 UTC
rpmspectool-1.99.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-416857d54b

Comment 11 Fedora Update System 2017-08-26 19:52:14 UTC
rpmspectool-1.99.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-08-27 06:21:04 UTC
rpmspectool-1.99.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.